{% extends "blog/base.html" %}
{% block content %}
	{% for post in posts%}
		<div class="content-section">
			<div class="container">
				<div class="row">
					<div class="col-md-3">
						<img class="rounded-circle account-img" src="{{ post.author.profile.image.url }}">
					</div>
					<div class="col-md-8">
						 <a class="mr-2" href="#">{{ post.author }}</a>
						 <small class="text-muted">{{ post.date_posted|date:"Y-m-d" }}</small>
						 <h2><a class="article-title" href="{% url 'post-detail' post.id %}">{{ post.title }}</a></h2>
		    			 <p class="article-content">{{ post.content }}</p>
					</div>
					
				</div>

			</div>
		</div>
	{% endfor %}
	{% if is_paginated %}

      {% if page_obj.has_previous %}
        <a class="btn btn-outline-info mb-4" href="?page=1">First</a>
        <a class="btn btn-outline-info mb-4" href="?page={{ page_obj.previous_page_number }}">Previous</a>
      {% endif %}

      {% for num in page_obj.paginator.page_range %}
        {% if page_obj.number == num %}
          <a class="btn btn-info mb-4" href="?page={{ num }}">{{ num }}</a>
        {% elif num > page_obj.number|add:'-3' and num < page_obj.number|add:'3' %}
          <a class="btn btn-outline-info mb-4" href="?page={{ num }}">{{ num }}</a>
        {% endif %}
      {% endfor %}

      {% if page_obj.has_next %}
        <a class="btn btn-outline-info mb-4" href="?page={{ page_obj.next_page_number }}">Next</a>
        <a class="btn btn-outline-info mb-4" href="?page={{ page_obj.paginator.num_pages }}">Last</a>
      {% endif %}

    {% endif %}
	
{% endblock content %}

